#include "grabbingthread.h"
#include <QtCore>
GrabbingThread::GrabbingThread(QObject *parent) :
    QThread(parent)
{
}

void GrabbingThread::run()
{
    for (int i = 0; i < 10000; i++)
    {
        QMutex mutex;
        mutex.lock();
        if(this->Stop) break;
        mutex.unlock();

        emit processFrame();

    }
}
